/* Copyright (c) 1999 Christopher Y. Wong
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

import java.awt.*;

/* this class can eventually evolve into something that stores and reads user
 * preferences.
 */
class Config
{
   static public void init(String font, int fontSize) 
   {
      textAreaFG = Color.black;
      textAreaBG = Color.white;
      
      font = font == null ? "Serif" : font;
      fontSize = fontSize > 0 ? fontSize : 14;
      textAreaFont = new Font(font, Font.PLAIN, fontSize > 0 ? fontSize : 14);
   }
  
  static public final Color getTextAreaFG() { return textAreaFG; }
  static public final Color getTextAreaBG() { return textAreaBG; }
  static public final Font getTextAreaFont() { return textAreaFont; }

  static private Color textAreaFG;
  static private Color textAreaBG;
  static private Font textAreaFont;
}
