/* Copyright (c) 1999 Christopher Y. Wong
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

import java.text.*;
import java.io.*;

class DocHeader
{
  public DocHeader(DataInput data) throws IOException
  {
    version = data.readUnsignedShort();
    spare = data.readUnsignedShort();
    storyLen = data.readInt();
    numRecs = data.readUnsignedShort();
    recSize = data.readUnsignedShort();
    spare2 = data.readInt();

    /*
    System.out.println("Doc header info:");
    System.out.println(" version = " + version);
    System.out.println(" storyLen = " + storyLen);
    System.out.println(" numRecs = " + numRecs);
    System.out.println(" recSize = " + recSize);
    */
  }

  public boolean isCompressed() { return version == 2; }
  public int getVersion() { return version; } // 1=plain, 2=compressed
  public long getStoryLen() { return storyLen; } // uncompressed text length
  public int getNumRecs() { return numRecs; }
  public int getRecSize() { return recSize; } // usually 0x1000 (4096 bytes)
  
  private int version, spare;
  private long storyLen;
  private int numRecs, recSize;
  private long spare2;
}
