/* Copyright (c) 1999 Christopher Y. Wong
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

import java.awt.*;
import java.util.*;

class SearchView extends Dialog
{
  public SearchView(Frame parent, Searcher controller)
  {
    super(parent, "Search Doc", true);
    setLayout(new GridLayout(2,1));

    Panel panel = new Panel();
    panel.add(new Label("Find: ", Label.RIGHT));
    searchFld = new TextField(16);
    searchFld.addActionListener(controller);
    panel.add(searchFld);
    caseSensitive = new Checkbox("Case sensitive");
    panel.add(caseSensitive);
    add(panel);

    panel = new Panel();
    searchButton = new Button("Find");
    searchButton.addActionListener(controller);
    panel.add(searchButton);
    againButton = new Button("Next");
    againButton.addActionListener(controller);
    panel.add(againButton);
    doneButton = new Button("Done");
    doneButton.addActionListener(controller);
    panel.add(doneButton);
    add(panel);

    // setSize(450, 120);
    pack();
    Dimension mysize = getSize();
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    setLocation((screenSize.width - mysize.width)/2, 
		(screenSize.height - mysize.height)/2);
  }

  Checkbox caseSensitive;
  Button searchButton, againButton, doneButton;
  TextField searchFld;
}
