import java.util.*;
import java.io.*;
import java.awt.*;
import java.awt.event.*;

public class PieChartCtrl implements ActionListener {
  private PieChartView view;
  private PieChartModel model;
  private FileDialog fileDialog;

  public PieChartCtrl() {
    view = new PieChartView(this);
    model = new PieChartModel();
    model.addObserver(view);

    fileDialog = new FileDialog(view);
    fileDialog.setMode(FileDialog.LOAD);
    fileDialog.setTitle("Open Chart file");
  }

  public void run(String path) {
    view.setVisible(true);
    if (path != null)
      model.open(path);
  }

  public void actionPerformed(ActionEvent e) {
    Object source = e.getSource();

    if (source == view.openButton)
      openFile();
    else if (source == view.quitButton) {
      System.exit(0);
    }
  }

  private void openFile() {
    fileDialog.setFile("*.xml");
    fileDialog.show();
    if (fileDialog.getFile() != null)
      model.open(fileDialog.getDirectory() + fileDialog.getFile());
  }
}