import java.text.*;
import java.io.*;
import java.util.*;

public class PieChartModel extends Observable {

  private ChartItem[] items;
  private boolean isValid;
  private String message;

  public PieChartModel() {
     isValid = false;
  }

  public void open(String filepath) {
    xmlChartParser chartParser = null;
    try {
      chartParser = new xmlChartParser(filepath);
      items = chartParser.getChartItems();
      isValid = true;
    } catch(IOException e) {
      message = "File open error: " + e.toString();
      isValid = false;
      update();
      return;
    }
    message = chartParser.getTitle();
    update();
  }

  public ChartItem[] getChartItems() {
    return this.items;
  }

  public boolean isValid() {
    return isValid;
  }

  public String getMessage() {
    return message;
  }

  public void setMessage(String message) {
    this.message = message;
  }

  private void update() {
    if (isValid) {
      setChanged();
      notifyObservers();
    }
  }
}