import java.awt.*;
import java.util.*;

public class PieChartView extends Frame implements Observer {
   public Button openButton;
   public Button quitButton;
   private Label statusLine;
   private PieChartCanvas pieChartCanvas;

  public PieChartView(PieChartCtrl controller) {
    setLayout(new BorderLayout());

    // create buttons panel
    Panel buttonPanel = new Panel(new GridLayout(2,1,2,100));
    openButton = createAddButton("Open", controller, buttonPanel);
    quitButton = createAddButton("Quit", controller, buttonPanel);
    add(buttonPanel, BorderLayout.EAST);

    // create main text area
    pieChartCanvas = new PieChartCanvas();
    pieChartCanvas.setSize(150);
    add(pieChartCanvas, BorderLayout.CENTER);

    // status line
    statusLine = new Label("written by Ramon Wartala");
    add(statusLine, BorderLayout.SOUTH);

    setTitle("XML PieChart Demo for Nokia9210");
    setSize(300, 200);
    setLocation(0,0);
  }

  public void setVisible(boolean state) {
    super.setVisible(state);
  }

  public void update(Observable o, Object arg) {
    PieChartModel model = (PieChartModel) o;
    statusLine.setText(model.getMessage());
    openButton.requestFocus();
    pieChartCanvas.setData(model.getChartItems());
    pieChartCanvas.setDrawData(true);
    pieChartCanvas.repaint();
  }

  private Button createAddButton(String label, PieChartCtrl controller, Panel buttonPanel) {
    Button button = new Button(label);
    button.addActionListener(controller);
    //button.addKeyListener(controller);
    buttonPanel.add(button);
    return button;
   }
}